"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("angular2/core");
var common_1 = require("angular2/common");
var browser_1 = require("angular2/platform/browser");
var router_1 = require("angular2/router");
var fuel_ui_1 = require("./fuel-ui");
var fuel_ui_2 = require("./fuel-ui");
var fuel_ui_3 = require("./fuel-ui");
var Person = (function () {
    function Person(firstName, lastName, age) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.age = age;
    }
    return Person;
}());
exports.Person = Person;
var DemoComponent = (function () {
    function DemoComponent() {
        this.carouselImages = [
            "/images/carouselImages/beach.png",
            "/images/carouselImages/river.jpg",
            "/images/carouselImages/windmill.jpg"
        ];
        this.modalTitle = "TEST EST TESTSETSETTESET";
        this.closeText = "Cancel";
        this.closeButton = true;
        this.closeOnUnfocus = true;
        this.showAlert = false;
        this.alertType = "success";
        this.alertBody = "<strong>Some alert</strong> success message or something";
        this.progress = 25;
        this.totalPages = 10;
        this.pagesAtOnce = 5;
        this.currentPage = 1;
        this.selectedDate = new Date();
        this.minDate = new Date(new Date().setFullYear(new Date().getFullYear() - 1));
        this.maxDate = new Date(new Date().setFullYear(new Date().getFullYear() + 1));
        this.maxGuests = 5;
        this.maxChildren = 3;
        this.maxNumRooms = 15;
        this.numGuests = 2;
        this.numChildren = 1;
        this.numRooms = 1;
        this.checkInDate = new Date();
        this.checkOutDate = new Date();
        this.infiniteScrollItems = [];
        this.infiniteScrollMin = 0;
        this.infiniteScrollMax = 1;
        this.newPerson = new Person('', '', 18);
        this.people = [
            new Person('Linus', 'Torvalds', 46),
            new Person('Larry', 'Ellison', 71),
            new Person('Mark', 'Zuckerberg', 31),
            new Person('Sergey', 'Brin', 42),
            new Person('Vint', 'Cerf', 72),
            new Person('Richard', 'Stallman', 62),
            new Person('John', 'Papa', 42)
        ];
        this.peopleOrderBy1Desc = "-";
        this.peopleOrderBy1Property = "age";
        this.peopleOrderBy2Desc = "";
        this.peopleOrderBy2Property = "firstName";
        this.peopleOrderByConfig = [
            (this.peopleOrderBy1Desc + this.peopleOrderBy1Property),
            (this.peopleOrderBy2Desc + this.peopleOrderBy2Property)
        ];
        this.newFruit = "";
        this.fruit = ["orange", "apple", "pear", "grape", "banana"];
        this.fruitOrderByConfig = "+";
        for (var i = 0; i < 10; i++) {
            this.infinteScrollNext(false);
        }
    }
    DemoComponent.prototype.addToArrays = function () {
        this.fruit.push("new fruit");
        this.people.push(new Person('New', 'Person', 47));
    };
    DemoComponent.prototype.setFruitConfig = function (newConfig) {
        this.fruitOrderByConfig = newConfig;
    };
    DemoComponent.prototype.addFruit = function () {
        if (this.newFruit.length <= 0)
            return;
        this.fruit.push(this.newFruit);
        this.newFruit = '';
    };
    DemoComponent.prototype.setPeopleConfig = function (type, index, newConfig) {
        if (type == "desc") {
            if (index == 1) {
                this.peopleOrderBy1Desc = newConfig;
            }
            else {
                this.peopleOrderBy2Desc = newConfig;
            }
        }
        else {
            if (index == 1) {
                this.peopleOrderBy1Property = newConfig;
            }
            else {
                this.peopleOrderBy2Property = newConfig;
            }
        }
        this.peopleOrderByConfig = [
            (this.peopleOrderBy1Desc + this.peopleOrderBy1Property),
            (this.peopleOrderBy2Desc + this.peopleOrderBy2Property)
        ];
    };
    DemoComponent.prototype.addPerson = function () {
        if (this.newPerson.firstName.length <= 0 ||
            this.newPerson.lastName.length <= 0 ||
            this.newPerson.age <= 0)
            return;
        this.people.push(this.newPerson);
        this.newPerson = new Person('', '', 18);
    };
    DemoComponent.prototype.pageChange = function (page) {
        this.currentPage = page;
    };
    DemoComponent.prototype.infiniteScrollPrev = function () {
        var newItem = "";
        for (var i = 0; i < 50; i++) {
            newItem += "Test " + this.infiniteScrollMin + " ";
        }
        this.infiniteScrollMin--;
        this.infiniteScrollItems.unshift(newItem);
    };
    DemoComponent.prototype.infinteScrollNext = function (clean) {
        if (clean === void 0) { clean = true; }
        var newItem = "";
        for (var i = 0; i < 50; i++) {
            newItem += "Test " + this.infiniteScrollMax + " ";
        }
        this.infiniteScrollMax++;
        this.infiniteScrollItems.push(newItem);
    };
    DemoComponent.prototype.dateFilter = function (d) {
        if ([2].indexOf(d.getDay()) > -1)
            return false;
        return true;
    };
    DemoComponent.prototype.saveFunc = function (modal, error) {
        // do validations
        if (!error) {
            this.alertType = "success";
            this.alertBody = "<strong>Some alert</strong> success message or something";
            this.showAlert = true;
        }
        else {
            this.alertType = "danger";
            this.alertBody = "<strong>Something went wrong</strong> error message or something";
            this.showAlert = true;
        }
        modal.showModal(false);
    };
    DemoComponent.prototype.logStart = function ($event) {
        console.log("AT THE START!", $event);
    };
    DemoComponent.prototype.logEnd = function ($event) {
        console.log("AT THE END!", $event);
    };
    DemoComponent = __decorate([
        core_1.Component({
            selector: "fuel-ui",
            changeDetection: core_1.ChangeDetectionStrategy.OnPush
        }),
        core_1.View({
            template: "\n\t<main class=\"container\">\n\t\t<h2>Infinite Scroller</h2>\n\t\t<div class=\"row m-a\">\n\t\t\t<div class=\"col-md-6\" style=\"border: 1px solid #333; background-color: #EEE\">\n\t\t\t\t<infinite-scroller \n\t\t\t\t\t(next)=\"infinteScrollNext()\" \n\t\t\t\t\t(prev)=\"infiniteScrollPrev()\" \n\t\t\t\t\theight=\"300px\"\n\t\t\t\t\tdistance=\"120\"\n\t\t\t\t\thideScrollbar=\"true\">\n\t\t\t\t\t<div *ngFor=\"#item of infiniteScrollItems\" \n                        class=\"card p-a scroll-item\" style=\"background-color: #FFF\">\n\t\t\t\t\t\t<div class=\"card-block\">\n\t\t\t\t\t\t\t<h4 class=\"card-title\">Some Item</h4>\n\t\t\t\t\t\t\t<p class=\"card-text\">{{item}}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</infinite-scroller>\n\t\t\t</div>\n\t\t</div>\n\t\t<h2>Animation Helper</h2>\n\t\t<div class=\"row m-a\">\n\t\t\t<div class=\"test-box\"\n\t\t\t\tanimation=\"test-animation-a test-animation-b\"\n\t\t\t\tplay=\"true\"\n\t\t\t\t(onAnimationEnd)=\"logEnd()\"></div>\n\t\t</div>\n\t\t<h2>DatePicker</h2>\n        <section class=\"row m-a\">\n\t\t\t<div class=\"col-md-3\">\n\t\t\t\t<date-picker\n                    label=\"Pick a date\"\n\t\t\t\t\tminDate=\"11/1/2015\"\n\t\t\t\t\tmaxDate=\"11/12/2016\" \n                    [dateFilter]=\"dateFilter\"\n                    (valueChange)=\"datePickerValue\">\n\t\t\t\t</date-picker>\n\t\t\t</div>\n            <div class=\"col-md-3\" *ngIf=\"datePickerValue != null\">\n                value: {{datePickerValue}}\n            </div>\n\t\t</section>\n        <h2>DateRangePicker</h2>\n        <section class=\"row m-a\">\n\t\t\t<div class=\"col-md-3\">\n\t\t\t\t<date-range-picker\n\t\t\t\t\tminDate=\"11/1/2015\"\n\t\t\t\t\tmaxDate=\"11/12/2016\" \n                    [dateFilter]=\"dateFilter\"\n                    startLabel=\"Arrival\"\n                    endLabel=\"Departure\"\n                    (valueChange)=\"dateRangePickerValue\">\n\t\t\t\t</date-range-picker>\n\t\t\t</div>\n            <div class=\"col-md-6\" *ngIf=\"dateRangePickerValue != null\">\n                value.start: {{dateRangePickerValue.start}}\n                value.end: {{dateRangePickerValue.end}}\n            </div>\n\t\t</section>\n\t\t<h2>Carousel</h2>\n\t\t<section class=\"row m-a\">\n\t\t\t<carousel class=\"col-md-6\">\n\t\t\t\t<img *ngFor=\"#image of carouselImages\" src=\"{{image}}\" class=\"carousel-item\" />\n\t\t\t</carousel>\n\t\t</section>\n\t\t<h2>Alert</h2>\n\t\t<section class=\"row m-a\">\n\t\t\t<alert\n\t\t\t\t[(displayed)]=\"showAlert\"\n\t\t\t\t[type]=\"alertType\">\n\t\t\t\t<span [innerHtml]=\"alertBody\"></span>\n\t\t\t</alert>\n\t\t\t<button (click)=\"saveFunc(modal, false)\">Toggle Alert Success</button>\n\t\t\t<button (click)=\"saveFunc(modal, true)\">Toggle Alert Error</button>\n\t\t</section>\n\t\t<h2>Modal</h2>\n\t\t<section class=\"row m-a\">\n\t\t\t<button (click)=\"modal.showModal()\">Toggle Modal</button>\n\t\t\t<modal #modal\n\t\t\t\tclass=\"animated\"\n\t\t\t\t[modalTitle]=\"modalTitle\"\n\t\t\t\t[closeButton]=\"closeButton\"\n\t\t\t\t[closeOnUnfocus]=\"closeOnUnfocus\"\n\t\t\t\t(animationStart)=\"logStart($event)\"\n\t\t\t\t(animationEnd)=\"logEnd($event)\">\n\t\t\t\t<div class=\"modal-body\">\n\t\t\t\t\t<carousel>\n\t\t\t\t\t\t<img class=\"carousel-item\"\n\t\t\t\t\t\t\tsrc=\"/images/carouselImages/beach.png\" alt=\"Beach\" />\n\t\t\t\t\t\t<img class=\"carousel-item\"\n\t\t\t\t\t\t\tsrc=\"/images/carouselImages/river.jpg\" alt=\"River\" />\n\t\t\t\t\t\t<img class=\"carousel-item\"\n\t\t\t\t\t\t\tsrc=\"/images/carouselImages/windmill.jpg\" alt=\"Windmill\" />\n\t\t\t\t\t</carousel>\n\t\t\t\t\t<ul>\n\t\t\t\t\t\t<li>Testing 1</li>\n\t\t\t\t\t\t<li>Testing 2</li>\n\t\t\t\t\t\t<li>Testing 3</li>\n\t\t\t\t\t</ul>\n\t\t\t\t</div>\n\t\t\t\t<div class=\"modal-footer\">\n\t\t\t\t\t<button type=\"button\" class=\"btn btn-primary\" (click)=\"modal.showModal(false)\">\n\t\t\t\t\t\t<i class=\"fa fa-chevron-left\"></i> Go Back\n\t\t\t\t\t</button>\n\t\t\t\t\t<button type=\"button\" class=\"btn btn-danger\" (click)=\"saveFunc(modal, true)\">Error!</button>\n\t\t\t\t\t<button type=\"button\" class=\"btn btn-success\" (click)=\"saveFunc(modal, false)\">Success!</button>\n\t\t\t\t</div>\n\t\t\t</modal>\n\t\t</section>\n\t\t<h2>Tooltip</h2>\n\t\t<section class=\"row m-a\">\n\t\t\t<div tooltip=\"Tooltip text goes here.\">Some text here.</div>\n\t\t\t<div tooltip=\"Example data binding: {{test}}!\">Hover me with input value</div> <input [(ngModel)]=\"test\" type=\"text\" class=\"form-control\">\n\t\t</section>\n\t\t<section class=\"row m-a\">\n\t\t\t<h2>Pagination Example</h2>\n\t\t\t<form>\n\t\t\t\t<div class=\"form-group row\">\n\t\t\t\t\t<label for=\"totalPages\" class=\"col-sm-2 form-control-label\">Total Pages</label>\n\t\t\t\t\t<div class=\"col-sm-2\">\n\t\t\t\t\t\t<input class=\"form-control\" [(ngModel)]=\"totalPages\" min=\"1\" type=\"number\" name=\"totalPages\">\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t\t<div class=\"form-group row\">\n\t\t\t\t\t<label for=\"pagesAtOnce\" class=\"col-sm-2 form-control-label\">Pages At Once</label>\n\t\t\t\t\t<div class=\"col-sm-2\">\n\t\t\t\t\t\t<input class=\"form-control\" [(ngModel)]=\"pagesAtOnce\" min=\"1\" [max]=\"totalPages\" type=\"number\" name=\"pagesAtOnce\">\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t\t<div class=\"form-group row\">\n\t\t\t\t\t<label for=\"currentPage\" class=\"col-sm-2 form-control-label\">Current Page</label>\n\t\t\t\t\t<div class=\"col-sm-2\">\n\t\t\t\t\t\t<input class=\"form-control\" [(ngModel)]=\"currentPage\" min=\"1\" [max]=\"totalPages\" type=\"number\" name=\"currentPage\">\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</form>\n\t\t\t<pagination\n\t\t\t\t[(currentPage)]=\"currentPage\"\n\t\t\t\t[totalPages]=\"totalPages\"\n\t\t\t\t[pagesAtOnce]=\"pagesAtOnce\">\n\t\t\t</pagination>\n\t\t</section>\n\t\t<section class=\"row m-a\">\n\t\t\t<h2>Progress Example</h2>\n\t\t\t<form>\n\t\t\t\t<div class=\"form-group row\">\n\t\t\t\t\t<label for=\"progress\" class=\"col-sm-2 form-control-label\">Progress %</label>\n\t\t\t\t\t<div class=\"col-sm-2\">\n\t\t\t\t\t\t<input class=\"form-control\" [(ngModel)]=\"progress\" min=\"0\" max=\"100\" type=\"number\" name=\"progress\">\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</form>\n\t\t\t<progress class=\"progress progress-striped progress-animated\" [value]=\"progress\" max=\"100\">{{progress}}%</progress>\n\t\t</section>\n\t\t<h2>OrderBy Examples</h2>\n\t\t<section class=\"row m-a\">\n\t\t\t<h3>One-Dimensional Arrays</h3>\n\t\t\t<div class=\"col-md-4\">\n\t\t\t\t<h4>Unordered</h4>\n\t\t\t\t<code>*ngFor=\"#f of fruit\"</code><br/>\n\t\t\t\t<ul>\n\t\t\t\t\t<li *ngFor=\"#f of fruit\">{{f}}</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t\t<div class=\"col-md-8\">\n\t\t\t\t<h4>Ordered</h4>\n\t\t\t\t<code>*ngFor=\"#f of fruit | orderBy : '{{fruitOrderByConfig}}'\"</code><br/>\n\t\t\t\tOR<br/>\n\t\t\t\t<code>*ngFor=\"#f of fruit | orderBy : ['{{fruitOrderByConfig}}']\"</code><br/>\n\t\t\t\t<div class=\"row\">\n\t\t\t\t\t<div class=\"col-md-6\">\n\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t<li *ngFor=\"#f of fruit | orderBy : fruitOrderByConfig\">{{f}}</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\t\t\t\t\t<div class=\"col-md-6\">\n\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t<label for=\"fruitOrderByConfig\" class=\"col-sm-4\">Order By</label>\n\t\t\t\t\t\t\t<div class=\"col-sm-8\">\n\t\t\t\t\t\t\t\t<select class=\"form-control\" (change)=\"setFruitConfig($event.target.value)\">\n\t\t\t\t\t\t\t        <option value=\"+\" [selected]=\"fruitOrderByConfig == '+'\">Ascending</option>\n\t\t\t\t\t\t\t        <option value=\"-\" [selected]=\"fruitOrderByConfig == '-'\">Descending</option>\n\t\t\t\t\t\t\t    </select>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class=\"row\">\n\t\t\t\t\t\t\t<h4>Add Fruit</h4>\n\t\t\t\t\t\t\t<div class=\"input-group\">\n\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control\" [(ngModel)]=\"newFruit\" name=\"newFruit\">\n\t\t\t\t\t\t\t\t<div class=\"input-group-btn\">\n\t\t\t\t\t\t\t\t\t<button type=\"button\" class=\"btn btn-primary\" (click)=\"addFruit()\">Add</button>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</section>\n\t\t<section class=\"row m-a\">\n\t\t\t<h3>Multi-Dimensional Arrays</h3>\n\t\t\t<div class=\"col-md-4\">\n\t\t\t\t<h4>Unordered</h4>\n\t\t\t\t<code>*ngFor=\"#person of people\"</code><br/>\n\t\t\t\t<ul>\n\t\t\t\t\t<li *ngFor=\"#person of people\">{{person.firstName}} {{person.lastName}}, {{person.age}}</li>\n\t\t\t\t</ul>\n\t\t\t</div>\n\t\t\t<div class=\"col-md-8\">\n\t\t\t\t<h4>Ordered</h4>\n\t\t\t\t<code>*ngFor=\"#person of people | orderBy : ['{{peopleOrderByConfig[0]}}', '{{peopleOrderByConfig[1]}}']\"</code><br/>\n\t\t\t\t<div class=\"row\">\n\t\t\t\t\t<div class=\"col-md-6\">\n\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t<li *ngFor=\"#person of people | orderBy : peopleOrderByConfig\">{{person.firstName}} {{person.lastName}}, {{person.age}}</li>\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\t\t\t\t\t<div class=\"col-md-6\">\n\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t<label for=\"fruitOrderByConfig\" class=\"col-sm-4\">Order By</label>\n\t\t\t\t\t\t\t<div class=\"col-sm-8\">\n\t\t\t\t\t\t\t\t<select class=\"form-control\" (change)=\"setPeopleConfig('property', 1, $event.target.value)\">\n\t\t\t\t\t\t\t        <option value=\"firstName\" [selected]=\"peopleOrderBy1Property == 'firstName'\">First Name</option>\n\t\t\t\t\t\t\t        <option value=\"lastName\" [selected]=\"peopleOrderBy1Property == 'lastName'\">Last Name</option>\n\t\t\t\t\t\t\t        <option value=\"age\" [selected]=\"peopleOrderBy1Property == 'age'\">Age</option>\n\t\t\t\t\t\t\t    </select>\n\t\t\t\t\t\t\t\t<select class=\"form-control\" (change)=\"setPeopleConfig('desc', 1, $event.target.value)\">\n\t\t\t\t\t\t\t        <option value=\"\" [selected]=\"peopleOrderBy1Desc == ''\">Ascending</option>\n\t\t\t\t\t\t\t        <option value=\"-\" [selected]=\"peopleOrderBy1Desc == '-'\">Descending</option>\n\t\t\t\t\t\t\t    </select>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t<label for=\"fruitOrderByConfig\" class=\"col-sm-4\">Then By</label>\n\t\t\t\t\t\t\t<div class=\"col-sm-8\">\n\t\t\t\t\t\t\t\t<select class=\"form-control\" (change)=\"setPeopleConfig('property', 2, $event.target.value)\">\n\t\t\t\t\t\t\t        <option value=\"firstName\" [selected]=\"peopleOrderBy2Property == 'firstName'\">First Name</option>\n\t\t\t\t\t\t\t        <option value=\"lastName\" [selected]=\"peopleOrderBy2Property == 'lastName'\">Last Name</option>\n\t\t\t\t\t\t\t        <option value=\"age\" [selected]=\"peopleOrderBy2Property == 'age'\">Age</option>\n\t\t\t\t\t\t\t    </select>\n\t\t\t\t\t\t\t\t<select class=\"form-control\" (change)=\"setPeopleConfig('desc', 2, $event.target.value)\">\n\t\t\t\t\t\t\t        <option value=\"\" [selected]=\"peopleOrderBy2Desc == ''\">Ascending</option>\n\t\t\t\t\t\t\t        <option value=\"-\" [selected]=\"peopleOrderBy2Desc == '-'\">Descending</option>\n\t\t\t\t\t\t\t    </select>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class=\"row\">\n\t\t\t\t\t\t\t<h4>Add Person</h4>\n\t\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t\t<label for=\"firstName\" class=\"col-sm-4\">First Name</label>\n\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control\" [(ngModel)]=\"newPerson.firstName\" name=\"firstName\">\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t\t<label for=\"lastName\" class=\"col-sm-4\">Last Name</label>\n\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control\" [(ngModel)]=\"newPerson.lastName\" name=\"lastName\">\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"row form-group\">\n\t\t\t\t\t\t\t\t<label for=\"lastName\" class=\"col-sm-4\">Age</label>\n\t\t\t\t\t\t\t\t<input type=\"number\" min=\"18\" max=\"120\" class=\"form-control\" [(ngModel)]=\"newPerson.age\" name=\"age\">\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<button type=\"button\" class=\"btn btn-primary\" (click)=\"addPerson()\">Add</button>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</section> \n\t\t<button (click)=\"addToArrays()\" class=\"btn btn-primary\">Add to Arrays</button>\n\t</main>",
            directives: [common_1.CORE_DIRECTIVES, fuel_ui_1.FUELUI_COMPONENT_PROVIDERS, fuel_ui_2.FUELUI_DIRECTIVE_PROVIDERS, common_1.FORM_DIRECTIVES],
            encapsulation: core_1.ViewEncapsulation.None,
            styles: ["\n      @-webkit-keyframes fadeIn {\n        0% {\n          opacity: 0; }\n        100% {\n          opacity: 1; } }\n\n      @-moz-keyframes fadeIn {\n        0% {\n          opacity: 0; }\n        100% {\n          opacity: 1; } }\n\n      @-ms-keyframes fadeIn {\n        0% {\n          opacity: 0; }\n        100% {\n          opacity: 1; } }\n\n      @-o-keyframes fadeIn {\n        0% {\n          opacity: 0; }\n        100% {\n          opacity: 1; } }\n\n      @keyframes fadeIn {\n        0% {\n          opacity: 0; }\n        100% {\n          opacity: 1; } }\n\n      @-webkit-keyframes fadeInDown {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-20px);\n          -moz-transform: translateY(-20px);\n          -ms-transform: translateY(-20px);\n          -o-transform: translateY(-20px);\n          transform: translateY(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-moz-keyframes fadeInDown {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-20px);\n          -moz-transform: translateY(-20px);\n          -ms-transform: translateY(-20px);\n          -o-transform: translateY(-20px);\n          transform: translateY(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-ms-keyframes fadeInDown {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-20px);\n          -moz-transform: translateY(-20px);\n          -ms-transform: translateY(-20px);\n          -o-transform: translateY(-20px);\n          transform: translateY(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-o-keyframes fadeInDown {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-20px);\n          -moz-transform: translateY(-20px);\n          -ms-transform: translateY(-20px);\n          -o-transform: translateY(-20px);\n          transform: translateY(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @keyframes fadeInDown {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-20px);\n          -moz-transform: translateY(-20px);\n          -ms-transform: translateY(-20px);\n          -o-transform: translateY(-20px);\n          transform: translateY(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-webkit-keyframes fadeInDownBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-2000px);\n          -moz-transform: translateY(-2000px);\n          -ms-transform: translateY(-2000px);\n          -o-transform: translateY(-2000px);\n          transform: translateY(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-moz-keyframes fadeInDownBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-2000px);\n          -moz-transform: translateY(-2000px);\n          -ms-transform: translateY(-2000px);\n          -o-transform: translateY(-2000px);\n          transform: translateY(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-ms-keyframes fadeInDownBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-2000px);\n          -moz-transform: translateY(-2000px);\n          -ms-transform: translateY(-2000px);\n          -o-transform: translateY(-2000px);\n          transform: translateY(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-o-keyframes fadeInDownBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-2000px);\n          -moz-transform: translateY(-2000px);\n          -ms-transform: translateY(-2000px);\n          -o-transform: translateY(-2000px);\n          transform: translateY(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @keyframes fadeInDownBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(-2000px);\n          -moz-transform: translateY(-2000px);\n          -ms-transform: translateY(-2000px);\n          -o-transform: translateY(-2000px);\n          transform: translateY(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-webkit-keyframes fadeInLeft {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-20px);\n          -moz-transform: translateX(-20px);\n          -ms-transform: translateX(-20px);\n          -o-transform: translateX(-20px);\n          transform: translateX(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-moz-keyframes fadeInLeft {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-20px);\n          -moz-transform: translateX(-20px);\n          -ms-transform: translateX(-20px);\n          -o-transform: translateX(-20px);\n          transform: translateX(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-ms-keyframes fadeInLeft {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-20px);\n          -moz-transform: translateX(-20px);\n          -ms-transform: translateX(-20px);\n          -o-transform: translateX(-20px);\n          transform: translateX(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-o-keyframes fadeInLeft {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-20px);\n          -moz-transform: translateX(-20px);\n          -ms-transform: translateX(-20px);\n          -o-transform: translateX(-20px);\n          transform: translateX(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @keyframes fadeInLeft {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-20px);\n          -moz-transform: translateX(-20px);\n          -ms-transform: translateX(-20px);\n          -o-transform: translateX(-20px);\n          transform: translateX(-20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-webkit-keyframes fadeInLeftBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-2000px);\n          -moz-transform: translateX(-2000px);\n          -ms-transform: translateX(-2000px);\n          -o-transform: translateX(-2000px);\n          transform: translateX(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-moz-keyframes fadeInLeftBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-2000px);\n          -moz-transform: translateX(-2000px);\n          -ms-transform: translateX(-2000px);\n          -o-transform: translateX(-2000px);\n          transform: translateX(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-ms-keyframes fadeInLeftBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-2000px);\n          -moz-transform: translateX(-2000px);\n          -ms-transform: translateX(-2000px);\n          -o-transform: translateX(-2000px);\n          transform: translateX(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-o-keyframes fadeInLeftBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-2000px);\n          -moz-transform: translateX(-2000px);\n          -ms-transform: translateX(-2000px);\n          -o-transform: translateX(-2000px);\n          transform: translateX(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @keyframes fadeInLeftBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(-2000px);\n          -moz-transform: translateX(-2000px);\n          -ms-transform: translateX(-2000px);\n          -o-transform: translateX(-2000px);\n          transform: translateX(-2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-webkit-keyframes fadeInRight {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(20px);\n          -moz-transform: translateX(20px);\n          -ms-transform: translateX(20px);\n          -o-transform: translateX(20px);\n          transform: translateX(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-moz-keyframes fadeInRight {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(20px);\n          -moz-transform: translateX(20px);\n          -ms-transform: translateX(20px);\n          -o-transform: translateX(20px);\n          transform: translateX(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-ms-keyframes fadeInRight {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(20px);\n          -moz-transform: translateX(20px);\n          -ms-transform: translateX(20px);\n          -o-transform: translateX(20px);\n          transform: translateX(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-o-keyframes fadeInRight {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(20px);\n          -moz-transform: translateX(20px);\n          -ms-transform: translateX(20px);\n          -o-transform: translateX(20px);\n          transform: translateX(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @keyframes fadeInRight {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(20px);\n          -moz-transform: translateX(20px);\n          -ms-transform: translateX(20px);\n          -o-transform: translateX(20px);\n          transform: translateX(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-webkit-keyframes fadeInRightBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(2000px);\n          -moz-transform: translateX(2000px);\n          -ms-transform: translateX(2000px);\n          -o-transform: translateX(2000px);\n          transform: translateX(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-moz-keyframes fadeInRightBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(2000px);\n          -moz-transform: translateX(2000px);\n          -ms-transform: translateX(2000px);\n          -o-transform: translateX(2000px);\n          transform: translateX(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-ms-keyframes fadeInRightBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(2000px);\n          -moz-transform: translateX(2000px);\n          -ms-transform: translateX(2000px);\n          -o-transform: translateX(2000px);\n          transform: translateX(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-o-keyframes fadeInRightBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(2000px);\n          -moz-transform: translateX(2000px);\n          -ms-transform: translateX(2000px);\n          -o-transform: translateX(2000px);\n          transform: translateX(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @keyframes fadeInRightBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateX(2000px);\n          -moz-transform: translateX(2000px);\n          -ms-transform: translateX(2000px);\n          -o-transform: translateX(2000px);\n          transform: translateX(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateX(0);\n          -moz-transform: translateX(0);\n          -ms-transform: translateX(0);\n          -o-transform: translateX(0);\n          transform: translateX(0); } }\n\n      @-webkit-keyframes fadeInUp {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(20px);\n          -moz-transform: translateY(20px);\n          -ms-transform: translateY(20px);\n          -o-transform: translateY(20px);\n          transform: translateY(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-moz-keyframes fadeInUp {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(20px);\n          -moz-transform: translateY(20px);\n          -ms-transform: translateY(20px);\n          -o-transform: translateY(20px);\n          transform: translateY(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-ms-keyframes fadeInUp {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(20px);\n          -moz-transform: translateY(20px);\n          -ms-transform: translateY(20px);\n          -o-transform: translateY(20px);\n          transform: translateY(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-o-keyframes fadeInUp {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(20px);\n          -moz-transform: translateY(20px);\n          -ms-transform: translateY(20px);\n          -o-transform: translateY(20px);\n          transform: translateY(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @keyframes fadeInUp {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(20px);\n          -moz-transform: translateY(20px);\n          -ms-transform: translateY(20px);\n          -o-transform: translateY(20px);\n          transform: translateY(20px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-webkit-keyframes fadeInUpBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(2000px);\n          -moz-transform: translateY(2000px);\n          -ms-transform: translateY(2000px);\n          -o-transform: translateY(2000px);\n          transform: translateY(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-moz-keyframes fadeInUpBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(2000px);\n          -moz-transform: translateY(2000px);\n          -ms-transform: translateY(2000px);\n          -o-transform: translateY(2000px);\n          transform: translateY(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-ms-keyframes fadeInUpBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(2000px);\n          -moz-transform: translateY(2000px);\n          -ms-transform: translateY(2000px);\n          -o-transform: translateY(2000px);\n          transform: translateY(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @-o-keyframes fadeInUpBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(2000px);\n          -moz-transform: translateY(2000px);\n          -ms-transform: translateY(2000px);\n          -o-transform: translateY(2000px);\n          transform: translateY(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      @keyframes fadeInUpBig {\n        0% {\n          opacity: 0;\n          -webkit-transform: translateY(2000px);\n          -moz-transform: translateY(2000px);\n          -ms-transform: translateY(2000px);\n          -o-transform: translateY(2000px);\n          transform: translateY(2000px); }\n        100% {\n          opacity: 1;\n          -webkit-transform: translateY(0);\n          -moz-transform: translateY(0);\n          -ms-transform: translateY(0);\n          -o-transform: translateY(0);\n          transform: translateY(0); } }\n\n      .customFadeIn {\n        cursor: pointer;\n        opacity: 1 !important;\n        -webkit-animation-name: fadeIn;\n        -moz-animation-name: fadeIn;\n        -ms-animation-name: fadeIn;\n        -o-animation-name: fadeIn;\n        animation-name: fadeIn;\n        -webkit-animation-iteration-count: 1s;\n        -moz-animation-iteration-count: 1s;\n        -ms-animation-iteration-count: 1s;\n        -o-animation-iteration-count: 1s;\n        animation-iteration-count: 1s;\n        -webkit-animation-duration: 0.5s;\n        -moz-animation-duration: 0.5s;\n        -ms-animation-duration: 0.5s;\n        -o-animation-duration: 0.5s;\n        animation-duration: 0.5s;\n        -webkit-animation-delay: 0s;\n        -moz-animation-delay: 0s;\n        -ms-animation-delay: 0s;\n        -o-animation-delay: 0s;\n        animation-delay: 0s;\n        -webkit-animation-timing-function: ease;\n        -moz-animation-timing-function: ease;\n        -ms-animation-timing-function: ease;\n        -o-animation-timing-function: ease;\n        animation-timing-function: ease;\n        -webkit-animation-fill-mode: both;\n        -moz-animation-fill-mode: both;\n        -ms-animation-fill-mode: both;\n        -o-animation-fill-mode: both;\n        animation-fill-mode: both;\n        -webkit-backface-visibility: hidden;\n        -moz-backface-visibility: hidden;\n        -ms-backface-visibility: hidden;\n        -o-backface-visibility: hidden;\n        backface-visibility: hidden; }\n    "],
            pipes: [fuel_ui_3.FUELUI_PIPE_PROVIDERS]
        }), 
        __metadata('design:paramtypes', [])
    ], DemoComponent);
    return DemoComponent;
}());
exports.DemoComponent = DemoComponent;
browser_1.bootstrap(DemoComponent, [
    router_1.ROUTER_PROVIDERS,
    common_1.FORM_PROVIDERS,
    core_1.provide(router_1.LocationStrategy, { useClass: router_1.HashLocationStrategy }),
    fuel_ui_1.FUELUI_COMPONENT_PROVIDERS
]);

//# sourceMappingURL=demo.js.map
